package wxcarduser

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcarduser"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card_user wxcarduser GetWxCardUserById
//
// Get wx card user by ID | 通过ID获取WxCardUser
//
// Get wx card user by ID | 通过ID获取WxCardUser
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: WxCardUserInfoResp

func GetWxCardUserByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcarduser.NewGetWxCardUserByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetWxCardUserById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
